Bug 108610 - add support for a customized log4j.properties file when running unit tests
add support for a customized log4j.properties file when running unit tests
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity low
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 12:44 EST by Vadim Nasardinov
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 18:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-10-30 12:44:25 EST
The run-resin.sh script in the ccm-tools-servlet-resin RPM has
support for specifying a custom log4j.properties file.  To be
more precise,

|$ p4 describe -s 37414
|Change 37414 by dennis@galileo-dennis on 2003/10/27 21:07:51
|
|  Now the start/stop scripts look for custom log4j configuration in
|  the following places:
|
|       $CCM_HOME/conf/log4j.xml
|       $CCM_HOME/conf/log4j.properties
|  
|  If neither one is found, then log4j will use the log4j.properties
|  file in the core source tree
|
|Affected files ...
|
|... //tools/ccmbuild/tools/dev/server/resin/bin/run-resin.sh#4 edit
|... //tools/ccmbuild/tools/dev/server/tomcat/bin/run-tomcat.sh#2 edit


There is currently no way to do this when running "ant runtests".

I experimented with adding the following line to the "runtests-core"
target in build.xml:

<sysproperty
  key="log4j.configuraton"
  value="file:///${ccm.home}/conf/log4j.properties"/>

where ${ccm.home}/conf/log4j.properties is my custom log4j.properties
file.  This did not appear to have any effect.  I also tried such
variations as

<sysproperty
  key="log4j.configuraton"
  value="file:${ccm.home}/conf/log4j.properties"/>

and

<sysproperty
  key="log4j.configuraton"
  value="${ccm.home}/conf/log4j.properties"/>

with no success.

However, if I copy my customized log4j.properties file into
//core-platform/dev/src/log4j.properties, then the new settings do
take effect.
Comment 1 Dennis Gregorovic 2003-10-30 13:40:32 EST
try the build-template.xsl as of 37519
Comment 2 Vadim Nasardinov 2003-10-30 15:29:39 EST
That works. Thanks a lot.
Comment 3 David Lawrence 2006-07-17 22:43:09 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 4 Dennis Gregorovic 2006-12-07 18:23:03 EST
closing old CCM bugs

Note You need to log in before you can comment on or make changes to this bug.